# HLAbasicType Struct Template Reference

HLA basic type, represented by <T> type stored in <S> using <E> encoding. More...

`#include <HLAbasicType.hh>`

List of all members.

## Public Member Functions
HLAbasicType & | operator= (const T &data)
| operator T () const
void | copy (void *source)
## Static Public Member Functions
static const size_t | emptysizeof ()
static const size_t | __sizeof ()
## Static Public Attributes
static const size_t | m_octetBoundary = sizeof(S)
static const bool | m_isVariable = false

## Detailed Description

### template<class T, class S, template< class T >class E>
struct libhla::HLAbasicType< T, S, E >

HLA basic type, represented by <T> type stored in <S> using <E> encoding.

Definition at line 133 of file HLAbasicType.hh.

## Member Function Documentation

HLAbasicType& operator= | ( | const T & | data | ) | `[inline]`

Definition at line 135 of file HLAbasicType.hh.

References __HLAbuffer::__check_memory(), and HLAbasicType::__sizeof().

Here is the call graph for this function:

operator T | ( |  | ) | const`[inline]`

Definition at line 144 of file HLAbasicType.hh.

References __HLAbuffer::__check_memory(), and HLAbasicType::__sizeof().

Here is the call graph for this function:

static const size_t emptysizeof | ( |  | ) | `[inline, static]`

Definition at line 152 of file HLAbasicType.hh.

References HLAbasicType::__sizeof().

Here is the call graph for this function:

static const size_t __sizeof | ( |  | ) | `[inline, static]`

Definition at line 155 of file HLAbasicType.hh.

Referenced by HLAbasicType::copy(), HLAvariableArray< M, true >::emptysizeof(), HLAvariableArray< M, false >::emptysizeof(), HLAbasicType::emptysizeof(), HLAbasicType::operator T(), HLAbasicType::operator=(), and libhla::PrintBuffer().

void copy | ( | void * | source | ) | `[inline]`

Definition at line 158 of file HLAbasicType.hh.

References __HLAbuffer::__check_memory(), and HLAbasicType::__sizeof().

Here is the call graph for this function:

## Member Data Documentation

const size_t m_octetBoundary = sizeof(S)`[static]`

Definition at line 166 of file HLAbasicType.hh.

const bool m_isVariable = false`[static]`

Definition at line 167 of file HLAbasicType.hh.

The documentation for this struct was generated from the following file:

- HLAbasicType.hh